package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资产管理对象 td_property_info
 * 
 * @author ruoyi
 * @date 2024-04-29
 */
public class TdPropertyInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 登记编号 */
    private String id;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String useId;

    /** 设备品牌 */
    @Excel(name = "设备品牌")
    private String propertyBrand;

    /** 设备mac */
    @Excel(name = "设备mac")
    private String propertyMac;

    /** 涉密网络终端 */
    @Excel(name = "涉密网络终端")
    private String propertyNetstyle;

    /** 资产种类 */
    @Excel(name = "资产种类", readConverterExp = "0=单项导入设备,1=涉密计算机,2=移动硬盘,3=涉密U盘,4=复印机,5=打印机,6=录音带,7=录像带,8=传真机,9=照相机,10=录音笔,11=光盘,12=软盘,13=其他")
    private String propertyType;

    /** 资产型号 */
    @Excel(name = "资产型号")
    private String propertyNo;

    /** 资产名称 */
    @Excel(name = "资产名称")
    private String propertyName;

    /** 计算机类型 */
    @Excel(name = "计算机类型")
    private String computerType;

    /** 资产密级 */
    @Excel(name = "资产密级")
    private String propertyMiji;

    /** 设备SN */
    @Excel(name = "设备SN")
    private String propertySn;

    /** 是否是要害部门，部位 */
    @Excel(name = "是否是要害部门，部位")
    private String isCurcial;

    /** 是否安装防护软件 */
    @Excel(name = "是否安装防护软件")
    private String isSoftware;

    /** 使用人 */
    @Excel(name = "使用人")
    private String username;

    /** 维护部门 */
    @Excel(name = "维护部门")
    private String maintainDepart;

    /** 维护人员 */
    @Excel(name = "维护人员")
    private String maintainUser;

    /** 维护日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "维护日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date maintainDate;

    /** 维护状态 */
    @Excel(name = "维护状态")
    private String maintainState;

    /** 销毁状态 */
    @Excel(name = "销毁状态")
    private String destoryState;

    /** 销毁部门 */
    @Excel(name = "销毁部门")
    private String destoryDepart;

    /** 销毁人员 */
    @Excel(name = "销毁人员")
    private String destoryUser;

    /** 销毁日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "销毁日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date destoryDate;

    /** 报废类型 */
    @Excel(name = "报废类型")
    private String destoryType;

    /** 设备描述 */
    @Excel(name = "设备描述")
    private String propertyRefer;

    /** 维护备注 */
    @Excel(name = "维护备注")
    private String maintainRemark;

    /** 涉密程度 */
    @Excel(name = "涉密程度")
    private String shemichengdu;

    /** 部门 */
    @Excel(name = "部门")
    private String part;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setUseId(String useId) 
    {
        this.useId = useId;
    }

    public String getUseId() 
    {
        return useId;
    }
    public void setPropertyBrand(String propertyBrand) 
    {
        this.propertyBrand = propertyBrand;
    }

    public String getPropertyBrand() 
    {
        return propertyBrand;
    }
    public void setPropertyMac(String propertyMac) 
    {
        this.propertyMac = propertyMac;
    }

    public String getPropertyMac() 
    {
        return propertyMac;
    }
    public void setPropertyNetstyle(String propertyNetstyle) 
    {
        this.propertyNetstyle = propertyNetstyle;
    }

    public String getPropertyNetstyle() 
    {
        return propertyNetstyle;
    }
    public void setPropertyType(String propertyType) 
    {
        this.propertyType = propertyType;
    }

    public String getPropertyType() 
    {
        return propertyType;
    }
    public void setPropertyNo(String propertyNo) 
    {
        this.propertyNo = propertyNo;
    }

    public String getPropertyNo() 
    {
        return propertyNo;
    }
    public void setPropertyName(String propertyName) 
    {
        this.propertyName = propertyName;
    }

    public String getPropertyName() 
    {
        return propertyName;
    }
    public void setComputerType(String computerType) 
    {
        this.computerType = computerType;
    }

    public String getComputerType() 
    {
        return computerType;
    }
    public void setPropertyMiji(String propertyMiji) 
    {
        this.propertyMiji = propertyMiji;
    }

    public String getPropertyMiji() 
    {
        return propertyMiji;
    }
    public void setPropertySn(String propertySn) 
    {
        this.propertySn = propertySn;
    }

    public String getPropertySn() 
    {
        return propertySn;
    }
    public void setIsCurcial(String isCurcial) 
    {
        this.isCurcial = isCurcial;
    }

    public String getIsCurcial() 
    {
        return isCurcial;
    }
    public void setIsSoftware(String isSoftware) 
    {
        this.isSoftware = isSoftware;
    }

    public String getIsSoftware() 
    {
        return isSoftware;
    }
    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }
    public void setMaintainDepart(String maintainDepart) 
    {
        this.maintainDepart = maintainDepart;
    }

    public String getMaintainDepart() 
    {
        return maintainDepart;
    }
    public void setMaintainUser(String maintainUser) 
    {
        this.maintainUser = maintainUser;
    }

    public String getMaintainUser() 
    {
        return maintainUser;
    }
    public void setMaintainDate(Date maintainDate) 
    {
        this.maintainDate = maintainDate;
    }

    public Date getMaintainDate() 
    {
        return maintainDate;
    }
    public void setMaintainState(String maintainState) 
    {
        this.maintainState = maintainState;
    }

    public String getMaintainState() 
    {
        return maintainState;
    }
    public void setDestoryState(String destoryState) 
    {
        this.destoryState = destoryState;
    }

    public String getDestoryState() 
    {
        return destoryState;
    }
    public void setDestoryDepart(String destoryDepart) 
    {
        this.destoryDepart = destoryDepart;
    }

    public String getDestoryDepart() 
    {
        return destoryDepart;
    }
    public void setDestoryUser(String destoryUser) 
    {
        this.destoryUser = destoryUser;
    }

    public String getDestoryUser() 
    {
        return destoryUser;
    }
    public void setDestoryDate(Date destoryDate) 
    {
        this.destoryDate = destoryDate;
    }

    public Date getDestoryDate() 
    {
        return destoryDate;
    }
    public void setDestoryType(String destoryType) 
    {
        this.destoryType = destoryType;
    }

    public String getDestoryType() 
    {
        return destoryType;
    }
    public void setPropertyRefer(String propertyRefer) 
    {
        this.propertyRefer = propertyRefer;
    }

    public String getPropertyRefer() 
    {
        return propertyRefer;
    }
    public void setMaintainRemark(String maintainRemark) 
    {
        this.maintainRemark = maintainRemark;
    }

    public String getMaintainRemark() 
    {
        return maintainRemark;
    }
    public void setShemichengdu(String shemichengdu) 
    {
        this.shemichengdu = shemichengdu;
    }

    public String getShemichengdu() 
    {
        return shemichengdu;
    }
    public void setPart(String part) 
    {
        this.part = part;
    }

    public String getPart() 
    {
        return part;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("useId", getUseId())
            .append("propertyBrand", getPropertyBrand())
            .append("propertyMac", getPropertyMac())
            .append("propertyNetstyle", getPropertyNetstyle())
            .append("propertyType", getPropertyType())
            .append("propertyNo", getPropertyNo())
            .append("propertyName", getPropertyName())
            .append("computerType", getComputerType())
            .append("propertyMiji", getPropertyMiji())
            .append("propertySn", getPropertySn())
            .append("remark", getRemark())
            .append("isCurcial", getIsCurcial())
            .append("isSoftware", getIsSoftware())
            .append("username", getUsername())
            .append("maintainDepart", getMaintainDepart())
            .append("maintainUser", getMaintainUser())
            .append("maintainDate", getMaintainDate())
            .append("maintainState", getMaintainState())
            .append("destoryState", getDestoryState())
            .append("destoryDepart", getDestoryDepart())
            .append("destoryUser", getDestoryUser())
            .append("destoryDate", getDestoryDate())
            .append("destoryType", getDestoryType())
            .append("propertyRefer", getPropertyRefer())
            .append("maintainRemark", getMaintainRemark())
            .append("shemichengdu", getShemichengdu())
            .append("part", getPart())
            .toString();
    }
}
